[arch-commits] Commit in libgphoto2/trunk (PKGBUILD libgphoto2.install no-mdns.patch)

Jan de Groot jgc at archlinux.org
Sun May 10 15:42:29 UTC 2009


    Date: Sunday, May 10, 2009 @ 11:42:29
  Author: jgc
Revision: 38817

upgpkg: libgphoto2 2.4.5-1
    Clean up package. All these hacks are no longer required. Fix error messages during make install about LD_PRELOAD and /root/.pangorc

Modified:
  libgphoto2/trunk/PKGBUILD
  libgphoto2/trunk/libgphoto2.install
Deleted:
  libgphoto2/trunk/no-mdns.patch

--------------------+
 PKGBUILD           |   61 +++++++++++++++++----------------------------------
 libgphoto2.install |    4 ---
 no-mdns.patch      |   15 ------------
 3 files changed, 21 insertions(+), 59 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-10 14:45:48 UTC (rev 38816)
+++ PKGBUILD	2009-05-10 15:42:29 UTC (rev 38817)
@@ -3,59 +3,40 @@
 # Contributor: Damir Perisa <damir.perisa at bluewin.ch>
 
 pkgname=libgphoto2
-pkgver=2.4.4
+pkgver=2.4.5
 pkgrel=1
 pkgdesc="The core library of gphoto2, designed to allow access to digital camera by external programs."
 arch=(i686 x86_64)
 url="http://www.gphoto.org"
-depends=('libexif' 'libjpeg' 'libtool>=2.2-2' 'hal>=0.5.10')
-makedepends=('cvs')
+depends=('libexif' 'libjpeg' 'libtool>=2.2.6a' 'hal>=0.5.12git20090421.4fc367')
 license=(LGPL)
 install=(libgphoto2.install)
-source=(http://downloads.sourceforge.net/gphoto/${pkgname}-${pkgver}.tar.gz
-	no-mdns.patch)
-md5sums=('b907a6ae0d2bff11ec05e1389e0e8dbd'
-         '28f57616cbba6f12ca113b87c8123993')
+source=(http://downloads.sourceforge.net/gphoto/${pkgname}-${pkgver}.tar.gz)
+md5sums=('8364ab4d8fa9194982eedb2e26d5dac3')
 options=('libtool')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  # Remove check for deprecated libtool call,
-  # replace with function that is present
-  sed -i -e 's/lt_dlcaller_register/lt_dlinterface_register/g' \
-    m4m/gp-libltdl.m4 libgphoto2_port/m4/gp-libltdl.m4 || return 1
-
-  #Remove dns_sd dependency
-  patch -Np0 -i ${startdir}/src/no-mdns.patch || return 1
-
-  # Relibtoolize, doesn't compile without it.
-  libtoolize --force --copy || return 1
-  AT_M4DIR=". m4m" autoreconf -i --force || return 1
-  pushd libgphoto2_port || return 1
-  libtoolize --force --copy || return 1
-  autoreconf -i --force || return 1
-  popd 
-
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --with-exif --disable-static || return 1
-  make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  LD_PRELOAD="" make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-  rm -f ${startdir}/pkg/usr/lib/libgphoto2/${pkgver}/*.a
+  rm -f ${pkgdir}/usr/lib/libgphoto2/${pkgver}/*.a
   
-  install -m755 -d ${startdir}/pkg/usr/share/hal/fdi/information/20thirdparty
-  install -m755 -d ${startdir}/pkg/etc/udev/rules.d
-  LD_LIBRARY_PATH="${startdir}/pkg/usr/lib" \
-  CAMLIBS="${startdir}/pkg/usr/lib/libgphoto2/${pkgver}" \
-      ${startdir}/pkg/usr/lib/libgphoto2/print-camera-list hal-fdi > \
-      ${startdir}/pkg/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi || return 1
+  install -m755 -d "${pkgdir}/usr/share/hal/fdi/information/20thirdparty"
+  install -m755 -d "${pkgdir}/etc/udev/rules.d"
+  LD_LIBRARY_PATH="${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH}${pkgdir}/usr/lib" \
+  CAMLIBS="${pkgdir}/usr/lib/libgphoto2/${pkgver}" \
+      "${pkgdir}/usr/lib/libgphoto2/print-camera-list" hal-fdi > \
+      "${pkgdir}/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi" || return 1
 
-  LD_LIBRARY_PATH="${startdir}/pkg/usr/lib" \
-  CAMLIBS="${startdir}/pkg/usr/lib/libgphoto2/${pkgver}" \
-      ${startdir}/pkg/usr/lib/libgphoto2/print-camera-list udev-rules version 0.98 group camera mode 0660 > \
-      ${startdir}/pkg/etc/udev/rules.d/54-gphoto.rules || return 1
-  install -m755 -d ${startdir}/pkg/lib
-  mv ${startdir}/pkg/usr/lib/udev ${startdir}/pkg/lib/ || return 1
+  LD_LIBRARY_PATH="${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH}${pkgdir}/usr/lib" \
+  CAMLIBS="${pkgdir}/usr/lib/libgphoto2/${pkgver}" \
+      "${pkgdir}/usr/lib/libgphoto2/print-camera-list" udev-rules version 0.98 group camera mode 0660 > \
+      "${pkgdir}/etc/udev/rules.d/54-gphoto.rules" || return 1
+  install -m755 -d "${pkgdir}/lib"
+  mv "${pkgdir}/usr/lib/udev" "${pkgdir}/lib/" || return 1
 
   # Remove recursive symlink
-  rm -f $pkgdir/usr/include/gphoto2/gphoto2 || return 1
+  rm -f "${pkgdir}/usr/include/gphoto2/gphoto2" || return 1
 }

Modified: libgphoto2.install
===================================================================
--- libgphoto2.install	2009-05-10 14:45:48 UTC (rev 38816)
+++ libgphoto2.install	2009-05-10 15:42:29 UTC (rev 38817)
@@ -18,7 +18,3 @@
 pre_remove() {
   usr/sbin/groupdel camera &>/dev/null
 }
-
-op=$1
-shift
-$op $*

Deleted: no-mdns.patch
===================================================================
--- no-mdns.patch	2009-05-10 14:45:48 UTC (rev 38816)
+++ no-mdns.patch	2009-05-10 15:42:29 UTC (rev 38817)
@@ -1,15 +0,0 @@
---- libgphoto2_port/configure.ac.orig	2007-02-07 09:23:51.000000000 +0000
-+++ libgphoto2_port/configure.ac	2007-02-07 09:24:17.000000000 +0000
-@@ -154,12 +154,6 @@
- 
- dnl Apple Bonjour / mDNSResponder multicast DNS queries.
- MDNS_LIBS=
--AC_CHECK_HEADER([dns_sd.h],[
--		AC_CHECK_LIB(dns_sd,DNSServiceResolve,[
--			MDNS_LIBS="-ldns_sd"
--			AC_DEFINE(HAVE_MDNS_BONJOUR,1,[Define if you have Bonjour/mDNSResponder.])
--		])
--])
- 
- dnl Check for mnt_mountp in struct mnttab
- AC_MSG_CHECKING([for mnt_mountp in struct mnttab])




More information about the arch-commits mailing list